/**
 *******************************************************************************
 * @file    TMPM4KxA.h
 * @brief   CMSIS Cortex-M4 Core Peripheral Access Layer Header File for the
 *          TOSHIBA 'TMPM4KxA' Group
 * @version V0.0.0.1
 * $Date:: 2018-05-07 11:29:29 +#$
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * (C)Copyright TOSHIBA MICROELECTRONICS CORPORATION 2018 All rights reserved
 *******************************************************************************
 */
#ifndef __TMPM4KxA_H__
#define __TMPM4KxA_H__

#ifdef __cplusplus
extern "C" {
#endif

/** @addtogroup TOSHIBA_TXZ_MICROCONTROLLER TOSHIBA TXZ MICROCONTROLLER
  * @{
  */
  
/** @addtogroup TMPM4KxA TMPM4KxA
  * @{
  */

#if !defined(TMPM4K4A) && !defined(TMPM4K2A) && !defined(TMPM4K1A) && \
    !defined(TMPM4K0A)
/**
  * @brief Remove a comment of target device.
  */
   #define TMPM4K4A     /*!< TMPM4K4A device */
/* #define TMPM4K2A */  /*!< TMPM4K2A device */
/* #define TMPM4K1A */  /*!< TMPM4K1A device */
/* #define TMPM4K0A */  /*!< TMPM4K0A device */
#endif

/** @defgroup Device_Included Device Included
  * @{
  */

#if defined(TMPM4K4A)
   #include "TMPM4K4A.h"
#elif defined(TMPM4K2A)
   #include "TMPM4K2A.h"
#elif defined(TMPM4K1A)
   #include "TMPM4K1A.h"
#elif defined(TMPM4K0A)
   #include "TMPM4K0A.h"
#else
   #error "target device is non-select."
#endif

/**
  * @}
  */ /* End of group Device_Included */

#ifdef __cplusplus
}
#endif

#endif  /* __TMPM4KxA_H__ */

/**
  * @}
  */ /* End of group TMPM4KxA */

/**
  * @}
  */ /* End of group TOSHIBA_TXZ_MICROCONTROLLER */
