;/**
; *******************************************************************************
; * @file    startup_TMPM4Kx.s
; * @file    fc_exception_table_TMPM4Kx.s
; * @brief   The exception table for when the program runs on the RAM.
; * @version V0.0.1.0
; * $Date:: 2016-10-12 09:31:28#$
; *------- <<< Use Configuration Wizard in Context Menu >>> ------------------
; * 
; * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LISENCE AGREEMENT.
; * 
; * (C)Copyright TOSHIBA MICROELECTRONICS CORPORATION 2017 All rights reserved
; *******************************************************************************
; */

; Dummy stack. Top of Stack for the E2PROM emulation function.
FC_Stack_Size   EQU     0x00000200

                AREA    FC_STACK, NOINIT, READWRITE, ALIGN=3
FC_Stack_Mem    SPACE   FC_Stack_Size
__fc_initial_sp

                PRESERVE8
                THUMB


; FC for the Vector Table Mapped to RAM area. 0 at Reset

                AREA    FC_RESET, DATA, READONLY
                EXPORT  __FC_Vectors

__FC_Vectors    DCD     __fc_initial_sp           ; Dummy stack. Top of Stack for the E2PROM emulation function.
                DCD     FC_Reset_Handler          ; Reset Handler
                DCD     FC_NMI_Handler            ; NMI Handler
                DCD     FC_HardFault_Handler      ; Hard Fault Handler
                DCD     FC_MemManage_Handler      ; MPU Fault Handler
                DCD     FC_BusFault_Handler       ; Bus Fault Handler
                DCD     FC_UsageFault_Handler     ; Usage Fault Handler
                DCD     0                         ; Reserved
                DCD     0                         ; Reserved
                DCD     0                         ; Reserved
                DCD     0                         ; Reserved
                DCD     FC_SVC_Handler            ; SVCall Handler
                DCD     FC_DebugMon_Handler       ; Debug Monitor Handler
                DCD     0                         ; Reserved
                DCD     FC_PendSV_Handler         ; PendSV Handler
                DCD     FC_SysTick_Handler        ; SysTick Handler


                AREA    |.text|, CODE, READONLY

; Reset Handler

FC_Reset_Handler    PROC
               	    EXPORT  FC_Reset_Handler             [WEAK]
                	B       .
                    ENDP


; Dummy Exception Handlers (infinite loops which can be modified)

FC_NMI_Handler		PROC
                	EXPORT  FC_NMI_Handler               [WEAK]
                	B       .
                	ENDP
FC_HardFault_Handler\
                	PROC
                	EXPORT  FC_HardFault_Handler         [WEAK]
                	B       .
                	ENDP
FC_MemManage_Handler\
                	PROC
                	EXPORT  FC_MemManage_Handler         [WEAK]
                	B       .
                	ENDP
FC_BusFault_Handler\
                	PROC
                	EXPORT  FC_BusFault_Handler          [WEAK]
                	B       .
                	ENDP
FC_UsageFault_Handler\
                	PROC
                	EXPORT  FC_UsageFault_Handler        [WEAK]
                	B       .
                	ENDP
FC_SVC_Handler		PROC
                	EXPORT  FC_SVC_Handler               [WEAK]
                	B       .
                	ENDP
FC_DebugMon_Handler\
                	PROC
                	EXPORT  FC_DebugMon_Handler          [WEAK]
                	B       .
                	ENDP
FC_PendSV_Handler	PROC
                EXPORT  FC_PendSV_Handler            [WEAK]
                	B       .
                	ENDP
FC_SysTick_Handler	PROC
                	EXPORT  FC_SysTick_Handler           [WEAK]
                	B       .
                	ENDP


                ALIGN


                END

