;/**
; *******************************************************************************
; * @file    fc_exception_table_TMPM4K4.s
; * @brief   The exception table for when the program runs on the RAM.
; * @version V0.0.1.0
; * $Date:: 2016-10-12 09:31:28 #$
; * 
; * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LISENCE AGREEMENT.
; * 
; * (C)Copyright TOSHIBA MICROELECTRONICS CORPORATION 2017 All rights reserved
; *******************************************************************************
; */
;
; The modules in this file are included in the libraries, and may be replaced
; by any user-defined modules that define the PUBLIC symbol _program_start or
; a user defined start symbol.
; To override the cstartup defined in the library, simply add your modified
; version to the workbench project.
;
; Cortex-M version
;

                MODULE  ?fc_startup

                ;; Forward declaration of sections.
; Dummy stack. Top of Stack for the E2PROM emulation function.
                SECTION FC_STACK:DATA:ROOT
__fc_initial_sp:

                SECTION FC_RESET:CODE:ROOT(2)
                PUBLIC  __FC_Vectors

                DATA
__FC_Vectors
                DCD     __fc_initial_sp           ; Dummy stack. Top of Stack for the E2PROM emulation function.
                DCD     FC_Reset_Handler          ; Reset Handler
                DCD     FC_NMI_Handler            ; NMI Handler
                DCD     FC_HardFault_Handler      ; Hard Fault Handler
                DCD     FC_MemManage_Handler      ; MPU Fault Handler
                DCD     FC_BusFault_Handler       ; Bus Fault Handler
                DCD     FC_UsageFault_Handler     ; Usage Fault Handler
                DCD     0                         ; Reserved
                DCD     0                         ; Reserved
                DCD     0                         ; Reserved
                DCD     0                         ; Reserved
                DCD     FC_SVC_Handler            ; SVCall Handler
                DCD     FC_DebugMon_Handler       ; Debug Monitor Handler
                DCD     0                         ; Reserved
                DCD     FC_PendSV_Handler         ; PendSV Handler
                DCD     FC_SysTick_Handler        ; SysTick Handler

                THUMB
; Dummy Exception Handlers (infinite loops which can be modified)

                PUBWEAK FC_Reset_Handler
                SECTION .text:CODE:REORDER:NOROOT(2)
FC_Reset_Handler
                 B       FC_Reset_Handler

                PUBWEAK FC_NMI_Handler
                SECTION .text:CODE:REORDER:NOROOT(1)
FC_NMI_Handler
                B       FC_NMI_Handler

                PUBWEAK FC_HardFault_Handler
                SECTION .text:CODE:REORDER:NOROOT(1)
FC_HardFault_Handler
                B       FC_HardFault_Handler

                PUBWEAK FC_MemManage_Handler
                SECTION .text:CODE:REORDER:NOROOT(1)
FC_MemManage_Handler
                B       FC_MemManage_Handler

                PUBWEAK FC_BusFault_Handler
                SECTION .text:CODE:REORDER:NOROOT(1)
FC_BusFault_Handler
                B       FC_BusFault_Handler

                PUBWEAK FC_UsageFault_Handler
                SECTION .text:CODE:REORDER:NOROOT(1)
FC_UsageFault_Handler
                B       FC_UsageFault_Handler

                PUBWEAK FC_SVC_Handler
                SECTION .text:CODE:REORDER:NOROOT(1)
FC_SVC_Handler
                B       FC_SVC_Handler

                PUBWEAK FC_DebugMon_Handler
                SECTION .text:CODE:REORDER:NOROOT(1)
FC_DebugMon_Handler
                B       FC_DebugMon_Handler

                PUBWEAK FC_PendSV_Handler
                SECTION .text:CODE:REORDER:NOROOT(1)
FC_PendSV_Handler
                B       FC_PendSV_Handler

                PUBWEAK FC_SysTick_Handler
                SECTION .text:CODE:REORDER:NOROOT(1)
FC_SysTick_Handler
                B       FC_SysTick_Handler

                END
