/**
 *******************************************************************************
 * @file    txz_sample_def.h
 * @brief   This file includes header files for sample application.
 * @version V1.0.0.1
 * $Date:: 2017-12-21 13:34:24 #$
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LISENCE AGREEMENT.
 * 
 * (C)Copyright TOSHIBA MICROELECTRONICS CORPORATION 2017 All rights reserved
 *******************************************************************************
 */

/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __TXZ_SAMPLE_DEF_H
#define __TXZ_SAMPLE_DEF_H

#define TRMOSC_SAMPLE
// #define TRMOSC_LOSC

#include "txz_driver_def.h"
#include "txz_gpio.h"
#include "txz_t32a.h"
#include "txz_uart.h"
#include "txz_uart_dma.h"
#include "trm.h"
#include "txz_cg.h"


#if defined(TMPM3H6)
  #ifdef TRMOSC_LOSC
    #define BSP_T32A_REFIN                 TSB_T32A4
    #define BSP_INTT32A_REFIN_BCAP1_IRQn   INTT32A04BCAP1_IRQn
    #define BSP_T32A_REFIN_RUNA_SFTSTAA    TSB_T32A4_RUNA_SFTSTAA
    #define BSP_T32A_REFIN_RUNB_SFTSTPB    TSB_T32A4_RUNB_SFTSTPB
  #else
    #define BSP_T32A_REFIN                 TSB_T32A2
    #define BSP_INTT32A_REFIN_ACCAP0_IRQn  INTT32A02ACAP0_IRQn
    #define BSP_INTT32A_REFIN_ACCAP1_IRQn  INTT32A02ACAP1_IRQn
    #define BSP_T32A_REFIN_RUNA_SFTSTPA    TSB_T32A2_RUNA_SFTSTPA
  #endif
    #define BSP_T32A_SOUT                  TSB_T32A0
    #define BSP_T32A_SOUT_RUNA_SFTSTAA     TSB_T32A0_RUNA_SFTSTAA
#elif defined(TMPM4K4)
    #define BSP_T32A_REFIN                 TSB_T32A2
    #define BSP_INTT32A_REFIN_ACCAP0_IRQn  INTT32A2ACCAP0_IRQn
    #define BSP_INTT32A_REFIN_ACCAP1_IRQn  INTT32A2ACCAP1_IRQn
    #define BSP_T32A_REFIN_RUNA_SFTSTPA    TSB_T32A2_RUNA_SFTSTPA
    #define BSP_T32A_SOUT                  TSB_T32A3
    #define BSP_T32A_SOUT_RUNA_SFTSTAA     TSB_T32A3_RUNA_SFTSTAA
#elif defined(TMPM3HQ)
  #ifdef TRMOSC_LOSC
    #define BSP_T32A_REFIN                 TSB_T32A6
    #define BSP_INTT32A_REFIN_BCAP1_IRQn   INTT32A06BCAP1_IRQn
    #define BSP_T32A_REFIN_RUNA_SFTSTAA    TSB_T32A6_RUNA_SFTSTAA
    #define BSP_T32A_REFIN_RUNB_SFTSTPB    TSB_T32A6_RUNB_SFTSTPB
  #else
    #define BSP_T32A_REFIN                 TSB_T32A2
    #define BSP_INTT32A_REFIN_ACCAP0_IRQn  INTT32A02ACAP0_IRQn
    #define BSP_INTT32A_REFIN_ACCAP1_IRQn  INTT32A02ACAP1_IRQn
    #define BSP_T32A_REFIN_RUNA_SFTSTPA    TSB_T32A2_RUNA_SFTSTPA
  #endif
    #define BSP_T32A_SOUT                  TSB_T32A0
    #define BSP_T32A_SOUT_RUNA_SFTSTAA     TSB_T32A0_RUNA_SFTSTAA
#elif defined(TMPM4K4A)
    #define BSP_T32A_REFIN                 TSB_T32A2
    #define BSP_INTT32A_REFIN_ACCAP0_IRQn  INTT32A2ACCAP0_IRQn
    #define BSP_INTT32A_REFIN_ACCAP1_IRQn  INTT32A2ACCAP1_IRQn
    #define BSP_T32A_REFIN_RUNA_SFTSTPA    TSB_T32A2_RUNA_SFTSTPA
    #define BSP_T32A_SOUT                  TSB_T32A3
    #define BSP_T32A_SOUT_RUNA_SFTSTAA     TSB_T32A3_RUNA_SFTSTAA
#endif

#endif  /* __TXZ_SAMPLE_DEF_H */
